$ComputerModel = (Get-WmiObject -Class Win32_ComputerSystem | Select-Object Model).Model
$SerialNumber = (Get-WmiObject -Class Win32_BIOS | Select-Object SerialNumber).SerialNumber
$SerialNumberTrim = $SerialNumber.Substring(($SerialNumber.Length)-6)

# Workstations
if (($ComputerModel -match "Precision") -OR ($ComputerModel -match "Optiplex")) {
    $OSDComputerName = $SerialNumber + "-" + "WS"
    $TSEnv = New-Object -COMObject Microsoft.SMS.TSEnvironment 
    $TSEnv.Value("OSDComputerName") = "$OSDComputerName"
}

# Laptops
if ($ComputerModel -match "Latitude") {
    $OSDComputerName = $SerialNumber + "-" + "LAP"
    $TSEnv = New-Object -COMObject Microsoft.SMS.TSEnvironment 
    $TSEnv.Value("OSDComputerName") = "$OSDComputerName"
}
# Laptops
if ($ComputerModel -match "VMware Virtual Platform") {
    $OSDComputerName = "VM" + $SerialNumberTrim
    $TSEnv = New-Object -COMObject Microsoft.SMS.TSEnvironment 
    $TSEnv.Value("OSDComputerName") = "$OSDComputerName"
}